Loading...
Searching...
No Matches
element.py File Reference

Go to the source code of this file.

## Classes

class | odf.element.IllegalChild
| Complains if you add an element to a parent where it is not allowed. More...
class | odf.element.IllegalText
| super class for more specific nodes More...
class | odf.element.Node
class | odf.element.Childless
| Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children. More...
class | odf.element.Text
class | odf.element.CDATASection
class | odf.element.Element
| Creates a arbitrary element and is intended to be subclassed not used on its own. More...

## Namespaces

namespace | odf
namespace | odf.element

## Functions

| odf.element._range_seq_to_re (range_seq)
| odf.element._handle_unrepresentable (data)
| odf.element._escape (data, entities={})
| Escape &, <, and > in a string of data.
| odf.element._sanitize (data, entities={})
| odf.element._quoteattr (data, entities={})
| Escape and quote an attribute value.
| odf.element._nssplit (qualifiedName)
| Split a qualified name into namespace part and local part.
| odf.element._nsassign (namespace)
| odf.element._append_child (self, node)

## Variables

| odf.element.unicode = str
| odf.element.unichr = chr
tuple | odf.element._xml11_illegal_ranges
| odf.element._xml10_illegal_ranges
tuple | odf.element._xml_discouraged_ranges
| odf.element._xml_filtered_chars_re